﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{EFC0064C-E442-4DC1-8C52-CD9B86E6B489}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>IPBitmap</RootNamespace>
    <AssemblyName>IPBitmap</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CBitmap256.cs" />
    <Compile Include="CBitmapBase.cs" />
    <Compile Include="CBitmapBuilder.cs" />
    <Compile Include="CBitmapArgb.cs" />
    <Compile Include="CBitmapConversionPalette.cs" />
    <Compile Include="CBitmapConversion.cs" />
    <Compile Include="CBitmapFile.cs" />
    <Compile Include="CBitmapRgb.cs" />
    <Compile Include="CBVectorConversion.cs" />
    <Compile Include="CBVectorConversionPalette.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\IPMatrix\IPMatrix.csproj">
      <Project>{27230755-555E-4E71-AECA-C6BE0BA68411}</Project>
      <Name>IPMatrix</Name>
    </ProjectReference>
    <ProjectReference Include="..\IPMemory\IPMemory.csproj">
      <Project>{B8969D46-6EDC-4CC6-9762-560AE2064031}</Project>
      <Name>IPMemory</Name>
    </ProjectReference>
    <ProjectReference Include="..\IPPalette\IPPalette256\IPPalette256.csproj">
      <Project>{5B9D9975-A7F1-4977-BBB3-B52995A3A62F}</Project>
      <Name>IPPalette256</Name>
    </ProjectReference>
    <ProjectReference Include="..\IPPalette\IPPaletteBase\IPPaletteBase.csproj">
      <Project>{8E838B2A-2610-4B39-92C4-BCC4EBD4E004}</Project>
      <Name>IPPaletteBase</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>